=== debian/watch ===
version=3
https://fedorahosted.org/releases/n/e/newt/newt-(.+)\.tar\.gz
