## newt 0.52.15

=== debian/changelog ===
newt (0.52.15-2ubuntu5) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:29 +0000

newt (0.52.15-2ubuntu4) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:26 +0000

newt (0.52.15-2ubuntu3) trusty; urgency=medium

  * Build for Tcl 8.6.
  * Rename the python extension to the multiarch name.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 17:24:22 +0100

newt (0.52.15-2ubuntu2) trusty; urgency=medium

  * Allow the package to cross build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Dec 2013 21:34:41 +0100

newt (0.52.15-2ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
  * Still build with tcl8.5 (8.6 is in universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Jul 2013 23:06:29 +0200

newt (0.52.15-2) unstable; urgency=low

  * Ensure unowned files get removed on purge.( /etc/newt/palette).
    Closes: #709194. 
  * Fix FTBFS with new automake-1.13.
  * Add symbols file for libnewt0.52.15

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 14:28:50 +0100

newt (0.52.15-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4
  * Build against tcl8.6-dev 
  * Build python3 modules. Closes: #691240
  * Update patches; latvian patch now merged upstream.
  * M-A, round two: patch to run msgfmt --endianness little to force
    .mo files to be identical. Now lib* package can be Multi-Arch: same
  * The python-newt-dbg and python3-newt-dbg packages conflict as they
    ship the same debug symbols file (hashed)
  * Use dh --with autoreconf rather than call 'by hand'. Cleaner.
  * Include more changes for hardening support. Closes: #658430.
  * Improved watch file from Bart Martens.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 May 2013 20:56:57 +0100

newt (0.52.14-11ubuntu7) raring; urgency=low

  * debian/palette.ubuntu, debian/palette.debian: LP: #1155441
    - update the palette configuration file for the Ubuntu palette
    - the previous palette configuration file was read by a patch that
      upstream did not accept;  upstream did enable the configurable
      palette feature, but the file format is completely different
    - update palette.ubuntu to set the necessary values to magenta
    - update palette.original, zeroing it out to empty (which will
      default to the upstream default colors

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Mar 2013 23:52:24 -0500

newt (0.52.14-11ubuntu6) raring; urgency=low

  * debian/patches/python3.patch: Fix the $$variant tests in Makefile.in.
    -z means to check for zero length (-n is for non-zero length).  This
    got the order of the _snack{,_d}.so files reversed. (LP: #1097922)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 13 Feb 2013 15:16:35 -0500

newt (0.52.14-11ubuntu5) raring; urgency=low

  * Modified python3.patch (LP: #1092117).
    - New snack.py depends on string modules.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 23 Dec 2012 17:52:33 +0900

newt (0.52.14-11ubuntu4) raring; urgency=low

  * Fix link target of libnewt.so to cope with move to /lib.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 14:14:01 +0000

newt (0.52.14-11ubuntu3) raring; urgency=low

  * Build-depend on python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 18:04:44 +0100

newt (0.52.14-11ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Port python module to python3.
    - Fix installation for multiple python3 versions.
    - Move libnewt to /lib and whiptail to /bin so they can be used by
      friendly-recovery on systems that have a separate /usr.
    - debian/libnewt0.52.install, debian/libnewt0.52.postinst,
      debian/palette => debian/palette.original:
      - move palette from /usr to /etc such that they can be edited by an
        admin.
  * Configure --with-colorsfile=/etc/newt/palette.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 14:50:00 +0100

newt (0.52.11-2ubuntu12) raring; urgency=low

  * Fix build failure with python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 18:07:37 +0200

newt (0.52.11-2ubuntu11) quantal; urgency=low

  [ James Hunt ]
  * Port python module to python3:
    - Introduces python3-newt and python3-newt-dbg.
    - Update build-depend to require python3-all-dev.

  [ Stéphane Graber ]
  * Port python module to python3:
    - Make a debian/patches patch out of James' changes.
    - Add missing python3-all-dbg build-dependency.
    - Fix debian/rules generated symlinks to work with the python3
      packages.
    - Fix the Provides and Depends of the python3 packages.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Jun 2012 18:31:46 -0400

newt (0.52.11-2ubuntu10) precise; urgency=low

  * Move libnewt to /lib and whiptail to /bin so they can be used by
    friendly-recovery on systems that have a separate /usr.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Feb 2012 23:23:34 -0500

newt (0.52.11-2ubuntu9) precise; urgency=low

  * Insert missing space in debian/patches/030_tcl8.5.patch

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Nov 2011 23:28:49 -0700

newt (0.52.11-2ubuntu8) oneiric; urgency=low

  * Convert to dh_python2 (Debian #616915, LP: #788514).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2011 11:59:01 +0100

newt (0.52.11-2ubuntu7) natty; urgency=low

  * debian/libnewt0.52.postinst: revert part of last change, do install
    the original newt alternative, such that it's discoverable, other
    packages will use --set to select

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Mar 2011 08:25:07 -0500

newt (0.52.11-2ubuntu6) natty; urgency=low


