=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/newt/
 Vcs-Git: git://git.fedorahosted.org/git/newt
-X-Python-Version: (>= 2.5)
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=8.1.3~), gettext, libfribidi-dev, tcl8.5-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
+Build-Depends: debhelper (>=9), sgmltools-lite, gettext, dh-autoreconf,
+ libslang2-dev  (>=2.0.4-2), libpopt-dev, libfribidi-dev, tcl8.6-dev,
+ python-all-dev:any (>= 2.6.6-3~), python-all-dbg:any,
+ python3-all-dev:any, python3-all-dbg:any,
+ libpython-all-dev (>= 2.6.6-3~), libpython-all-dbg,
+ libpython3-all-dev, libpython3-all-dbg
 
 Package: libnewt-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Priority: optional
 Depends: libslang2-dev (>= 2.0.2), libnewt0.52 (=${binary:Version}), ${misc:Depends}
 Description: Developer's toolkit for newt windowing library
  These are the header files and libraries for developing applications
@@ -35,7 +41,7 @@
 Architecture: any
 Section: interpreters
 Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6 | tcl8.5 | tcl8.4, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -43,11 +49,19 @@
 Package: python-newt
 Architecture: any
 Section: python
-Priority: optional
 Provides: ${python:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
+ using newt.
+
+Package: python3-newt
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: NEWT module for Python3
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: python-newt-dbg
@@ -56,11 +70,21 @@
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python (debug extension)
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
  .
  This package contains the extension built for the Python debug interpreter.
 
+Package: python3-newt-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libnewt0.52 (=${binary:Version}), python3-newt (=${binary:Version}), python3-dbg, ${misc:Depends}, ${shlibs:Depends}
+Description: NEWT module for Python3 (debug extension)
+ This module allows you to build a text UI for your Python3 scripts
+ using newt.
+ .
+ This package contains the extension built for the Python3 debug interpreter.
 
 Package: libnewt0.52
 Architecture: any
@@ -69,6 +93,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libfribidi0
+Multi-Arch: same
 Description: Not Erik's Windowing Toolkit - text mode windowing with slang
  Newt is a windowing toolkit for text mode built from the slang library.
  It allows color text mode applications to easily use stackable windows,
