=== debian/watch ===
version=3
https://fedorahosted.org/releases/n/e/newt/newt-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Wed, 27 Feb 2013 06:42:29 +0000
