## newt 0.52.17

=== debian/changelog ===
newt (0.52.17-1) unstable; urgency=medium

  * Move to new release 0.5.17.
   - snackmodule now renamed 'snack' in python, tclsh.
   - python3 now in upstream. Remove patch.
  * Now Standards-Version: 3.9.5 
  * Use 'xz' compression. 
  * Add bash completion to whiptail. 
  * Mark whiptail as 'Mult-Arch: foreign'. Closes:#750767. 
  * Add bash_completion for whiptail.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jun 2014 09:38:39 +0100

newt (0.52.15-3) unstable; urgency=low

  * Fix handling of alternatives for /etc/newt/palette in M-A package
    libnewt0.52. CLoses: #718635

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2013 16:27:24 +0100
