=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 	dh $@ --with python2,python3,autoreconf
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIBDIR:=/lib/$(DEB_HOST_MULTIARCH)
-USRLIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 PYVERS:=$(shell pyversions --supported)
 PY3VERS:=$(shell py3versions --supported)
@@ -40,7 +39,6 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
-	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
@@ -56,16 +54,11 @@
 	
 override_dh_auto_install:
 	dh_auto_install 
-	mkdir -p debian/tmp/$(LIBDIR)/.
-	mv debian/tmp/$(USRLIBDIR)/*.so.* debian/tmp/$(LIBDIR)/.
-	ln -sf $(LIBDIR)/$$(readlink debian/tmp/$(USRLIBDIR)/libnewt.so) \
-	       debian/tmp/$(USRLIBDIR)/libnewt.so
-
 	for v in $(PYVERS); do \
 		pylib=usr/lib/$$v/dist-packages ; \
 		mkdir -p debian/python-newt/$$pylib ; \
 		mkdir -p debian/python-newt-dbg/$$pylib ;\
-		mv $$v-dbg/_snackmodule.so debian/python-newt-dbg/$$pylib/_snackmodule_d.so; \
+		mv $$v-dbg/_snack.so debian/python-newt-dbg/$$pylib/_snack_d.so; \
 		cp snack.py $$v/* debian/python-newt/$$pylib; \
 	done
 	for v in $(PY3VERS); do \
@@ -74,14 +67,14 @@
                abitagdbg=.$$($$v-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
                mkdir -p debian/python3-newt/$$pylib ; \
                mkdir -p debian/python3-newt-dbg/$$pylib ;\
-	       mv $$v/_snackmodule.so $$v/_snack$$abitag-$(DEB_HOST_MULTIARCH).so; \
-               mv $$v-dbg/_snackmodule.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg-$(DEB_HOST_MULTIARCH).so; \
+	       mv $$v/_snack.so $$v/_snack$$abitag.so; \
+               mv $$v-dbg/_snack.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg.so; \
                cp snack.py $$v/* debian/python3-newt/$$pylib; \
         done
 	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
-	dh_install -p libnewt-dev libnewt.a $(USRLIBDIR)
-	mkdir -p debian/libnewt-pic/$(USRLIBDIR)
-	cp newt*.ver debian/libnewt-pic/$(USRLIBDIR)/libnewt_pic.map
+	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
+	mkdir -p debian/libnewt-pic/$(LIBDIR)
+	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map
 
 
 override_dh_strip:
