## newt 0.52.18

=== debian/changelog ===
newt (0.52.18-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:21 +0000

newt (0.52.18-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
  * Revert the stage1 changes, the package can be cross-built without it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Aug 2015 13:51:20 +0200

newt (0.52.18-1) unstable; urgency=medium

  * New upstream release. 
  * Patch from Helmut Grohne to enable stage1 build profile
    without python. Closes: #757100.
  * Standards-Version: 3.9.6
  * Patch from Peter Simon correcting whiptail manpage. Closes: #745238
  * Patch from Matthias Klose for python3.5 transition. Closes: #793575.
  * Fix missing examples. Closes: #714783
  * Typos in whiptail.1; Closes: #772142, #773298.
  * Move bash_completions.d to /usr/share/bash-completion/completions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2015 15:12:33 +0100

newt (0.52.15-3ubuntu4) wily; urgency=medium

  * Fix the abi tag for python3.5. LP: #1477759.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2015 22:25:34 +0200

newt (0.52.15-3ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 20:29:04 +0000

newt (0.52.15-3ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:03:09 +0000

newt (0.52.15-3ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
  * Still build with tcl8.5 (8.6 is in universe).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2014 21:38:03 +0200
