=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 3.9.6
 Homepage: https://fedorahosted.org/newt/
 Vcs-Git: git://git.fedorahosted.org/git/newt
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=9), gettext, libfribidi-dev, tcl8.6-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf, python3-all-dev, python3-all-dbg
+Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=9), gettext, libfribidi-dev, tcl8.6-dev, 
+ dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14),
+ python-all-dev:any (>= 2.6.6-3~), python-all-dbg:any,
+ python3-all-dev:any, python3-all-dbg:any,
+ libpython-all-dev (>= 2.6.6-3~), libpython-all-dbg,
+ libpython3-all-dev, libpython3-all-dbg
 
 Package: libnewt-dev
 Architecture: any
@@ -35,7 +41,7 @@
 Architecture: any
 Section: interpreters
 Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6 | tcl8.5 | tcl8.4, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -45,8 +51,9 @@
 Section: python
 Provides: ${python:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
 
 Package: python3-newt
@@ -54,8 +61,9 @@
 Section: python
 Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python3
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: python-newt-dbg
@@ -63,8 +71,9 @@
 Section: debug
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python (debug extension)
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
  .
  This package contains the extension built for the Python debug interpreter.
@@ -74,8 +83,9 @@
 Section: debug
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python3-newt (=${binary:Version}), python3-dbg, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python3 (debug extension)
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
  .
  This package contains the extension built for the Python3 debug interpreter.
