=== debian/changelog ===
newt (0.52.18-1ubuntu2+8.0trisquel2) flidas; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:46:13 +0000
